'use strict';

var units = ['b', 'b', 'kb', 'kib', 'mb', 'mib', 'gb', 'gib', 'tb', 'tib', 'pb', 'pib', 'eb', 'eib', 'zb', 'zib', 'yb', 'yib'];

function rbs(input) {
	// split input into number and unit
	var data = input.split(' ');

	// get decimal digits
	var digits = data[0].split('.')[1] || '';

	// match unit
	var index = units.indexOf(data[1].toLowerCase());

	// calculate unit system
	var system = index % 2 ? 'iec' : 'metric';

	// calculate exponent
	var exponent = Math.floor(index / 2);

	// calculate size
	var size = parseFloat(data[0], 10) * Math.pow(system === 'iec' ? 1024 : 1000, exponent);

	return {
		size: Math.floor(size),
		options: {
			units: system,
			precision: digits.length
		}
	};
};

module.exports = rbs;